/*
 * orcawm - XCB window manager
 *
 * Written in 2020 by Lucas
 *
 * To the extent possible under law, the author(s) have dedicated all
 * copyright and related and neighboring rights to this software to the
 * public domain worldwide. This software is distributed without any
 * warranty.
 *
 * You should have received a copy of the CC0 Public Domain Dedication
 * along with this software. If not, see
 * <http://creativecommons.org/publicdomain/zero/1.0/>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <xcb/xcb.h>

#include "err.h"

static struct {
	xcb_connection_t *conn;
} wm;

static void
wm_setup(void)
{
}

static void
wm_print_info(void)
{
}

static void
wm_teardown(void)
{
}

static void
usage(void)
{
	fprintf(stderr, "Usage: %s\n", __progname);
	exit(1);
}

int
main(int argc, char *argv[])
{
	if (argc != 1)
		usage();

	wm_setup();
	wm_print_info();
	wm_teardown();

	return 0;
}
